## mate-desktop 1.24.0

=== meson_options.txt ===
option('gtk-doc',
  type: 'boolean',
  value: 'false',
)
option('introspection',
  type: 'boolean',
  value: 'false',
)
option('mate-about',
  type: 'boolean',
  value: 'true',
)
option('startup-notification',
  type: 'boolean',
  value: 'false',
)
option('pnp-ids-path',
  type: 'string',
  value: 'internal',
)

## mate-desktop 1.2.0

=== debian/control ===
Source: mate-desktop
Section: mate
Priority: optional
Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
Uploaders: Steve Zesch <stevezesch2@gmail.com>
Build-Depends: debhelper (>= 8),
               cdbs,
               intltool,
               libglib2.0-dev,
               libgtk2.0-dev,
               libstartup-notification0-dev,
               libmateconf-dev,
               libmatecorba-dev,
               mate-doc-utils,
               mate-doc-utils-gnome | gnome-doc-utils,
               libx11-dev,
               libxrandr-dev,
               libxml2-dev,
               libunique-dev,
               libmatenotify,
               gtk-doc-tools,
               python-dev,
               python-support,
               libglib2.0-doc,
               libgtk2.0-doc,
               mate-common
Standards-Version: 3.9.3
Homepage: http://www.mate-desktop.org/

Package: mate-desktop
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libunique-1.0-0,
         libmatenotify,
         hicolor-icon-theme,
         libmatedesktop,
         mate-desktop-common (= ${source:Version}),
         mate-desktop-gnome | gnome-desktop-data | gnome-desktop3-data
Description: Library with common API for various MATE modules
 This package contains the library with common API for various MATE modules.

Package: mate-desktop-common
Architecture: all
Depends: ${misc:Depends}
Replaces: mate-desktop (<< 1.1.1-1)
Description: Library with common API for various MATE modules (common files)
 This package contains the library with common API for various MATE modules.
 .
 This package contains the architecture independent files.

Package: mate-desktop-gnome
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libunique-1.0-0,
         libmatenotify,
         hicolor-icon-theme
Conflicts: gnome-desktop-data, gnome-desktop3-data
Description: Library with common API for various MATE modules (GNOME files)
 This package contains the library with common API for various MATE modules.
 .
 The files in this package conflict with gnome-desktop-data.

Package: libmatedesktop
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Library with common API for various MATE modules (library)
 This package contains the library with common API for various MATE modules.
 .
 The package contains the library.

Package: libmatedesktop-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libmatedesktop (= ${binary:Version}),
         libstartup-notification0-dev 
Description: Library with common API for various MATE modules (development files)
 This package contain the library with common API for various MATE modules.
 .
 This package contains the development files.

Package: libmatedesktop-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Library with common API for various MATE modules (documentation files)
 This package contains the library with common API for various MATE modules.
 .
 This package contains the documentation files.

Package: mate-desktop-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         mate-desktop (= ${binary:Version}),
         libmatedesktop (= ${binary:Version})
Description: Library with common API for various MATE modules (debugging symbols)
 This package contains debugging symbols for mate-desktop and the
 libmatedesktop library. It is provided to help debugging problems.
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_DH_INSTALL_ARGS += --list-missing

DEB_CONFIGURE_SCRIPT := ./autogen.sh

DEB_CONFIGURE_EXTRA_FLAGS += \
			--with-mate-distributor=Debian \
			--disable-static \
			--disable-scrollkeeper \
			--disable-nyancat

# TODO: add a package with nyancat support?

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## mate-desktop 1.4.2

=== debian/changelog ===
mate-desktop (1.4.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 01 Nov 2012 17:06:44 +0100

mate-desktop (1.4.1-1) unstable; urgency=low

  * New upstream release. 
    * Removed nyan-cat.
  * debian/rules:
    * Removed --disable-nyancat configure flag.

 -- Steve Zesch <stevezesch2@gmail.com>  Thu, 19 Jul 2012 18:26:53 -0400

mate-desktop (1.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Steve Zesch <stevezesch2@gmail.com>  Fri, 13 Jul 2012 15:58:50 -0400

mate-desktop (1.2.0-3) unstable; urgency=low

  * Added gnome-desktop3-data to conflicts. 

 -- Steve Zesch <stevezesch2@gmail.com>  Sat, 07 Apr 2012 12:05:37 -0400

mate-desktop (1.2.0-2) unstable; urgency=low

  * Added gnome-desktop3-data to depends. 

 -- Steve Zesch <stevezesch2@gmail.com>  Fri, 06 Apr 2012 19:42:15 -0400

mate-desktop (1.2.0-1) unstable; urgency=low

  * Rebuild for precise.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Wed, 28 Mar 2012 23:58:51 +0200

mate-desktop (1.2.0-0) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 23 Feb 2012 02:45:40 +0100

mate-desktop (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Add mate-desktop-common package.
  * debian/rules: add --disable-nyancat.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sun, 29 Jan 2012 16:27:49 +0100

mate-desktop (1.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 08 Dec 2011 21:52:40 +0100

mate-desktop (2011.12.01-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Wed, 07 Dec 2011 00:07:49 +0100

mate-desktop (1.0.3-1) unstable; urgency=low

  * New upstream release.
  * Split documentation files into libmatedesktop-doc.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 10 Nov 2011 02:03:10 +0100

mate-desktop (1.0.0-3) unstable; urgency=low

  * Added pkgconfig files to libmatedesktop-dev package.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Fri, 04 Nov 2011 20:38:35 +0100

mate-desktop (1.0.0-2) unstable; urgency=low

  * Split library to libmatedesktop package.
  * Split include files to libmatedesktop-dev package.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Fri, 04 Nov 2011 02:26:46 +0100

mate-desktop (1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 03 Nov 2011 18:07:04 +0000

mate-desktop (2011.11.03) unstable; urgency=low

  * 2011.11.03

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 03 Nov 2011 12:01:36 +0000

mate-desktop (2011.11.02) unstable; urgency=low

  * 2011.11.02

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 02 Nov 2011 18:00:12 +0000

mate-desktop (2011.10.28-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Fri, 28 Oct 2011 04:39:59 +0200

mate-desktop (2011.10.27-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Fri, 28 Oct 2011 00:56:29 +0200

mate-desktop (2011.10.18-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Fri, 21 Oct 2011 01:20:12 +0200

## mate-desktop 1.6.0

=== debian/changelog ===
mate-desktop (1.6.0-3) unstable; urgency=low

  * Rebuild for jessie.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sat, 25 May 2013 12:40:52 +0200

mate-desktop (1.6.0-2) unstable; urgency=low

  * Add missing /usr/share/MateConf/ folder to migrate 1.4 desktop settings.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sat, 06 Apr 2013 17:11:30 +0200

mate-desktop (1.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sun, 31 Mar 2013 10:34:42 +0200

mate-desktop (1.5.8-1) unstable; urgency=low

  * New upstream development release.
  * debian/control: Remove libmatenotify dependency.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sat, 23 Mar 2013 00:27:17 +0100

mate-desktop (1.5.7-1) unstable; urgency=low

  * New upstream development release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 21 Feb 2013 22:14:53 +0100

mate-desktop (1.5.6-1) unstable; urgency=low

  * New upstream development release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 07 Feb 2013 23:28:19 +0100

mate-desktop (1.5.5-1) unstable; urgency=low

  * New upstream development release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Mon, 03 Dec 2012 23:36:29 +0100

mate-desktop (1.5.4-1) unstable; urgency=low

  * New upstream development release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sun, 25 Nov 2012 19:19:27 +0100

mate-desktop (1.5.3-1) unstable; urgency=low

  * New upstream development release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sat, 03 Nov 2012 19:36:37 +0100

mate-desktop (1.5.2-1) unstable; urgency=low

  * New upstream development release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Mon, 22 Oct 2012 19:51:05 +0200

mate-desktop (1.5.1-1) unstable; urgency=low

  * New upstream development release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Wed, 17 Oct 2012 10:46:49 +0200

mate-desktop (1.5.0-1) unstable; urgency=low

  * New upstream development release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 06 Sep 2012 23:32:19 +0200

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,12 @@
                libglib2.0-dev,
                libgtk2.0-dev,
                libstartup-notification0-dev,
-               libmateconf-dev,
-               libmatecorba-dev,
                mate-doc-utils,
                mate-doc-utils-gnome | gnome-doc-utils,
                libx11-dev,
                libxrandr-dev,
                libxml2-dev,
                libunique-dev,
-               libmatenotify,
                gtk-doc-tools,
                python-dev,
                python-support,
@@ -32,7 +29,6 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libunique-1.0-0,
-         libmatenotify,
          hicolor-icon-theme,
          libmatedesktop,
          mate-desktop-common (= ${source:Version}),
@@ -54,7 +50,6 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libunique-1.0-0,
-         libmatenotify,
          hicolor-icon-theme
 Conflicts: gnome-desktop-data, gnome-desktop3-data
 Description: Library with common API for various MATE modules (GNOME files)

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,7 @@
 DEB_CONFIGURE_EXTRA_FLAGS += \
 			--with-mate-distributor=Debian \
 			--disable-static \
-			--disable-scrollkeeper \
-			--disable-nyancat
-
-# TODO: add a package with nyancat support?
+			--disable-scrollkeeper
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## mate-desktop 1.6.1

=== debian/changelog ===
mate-desktop (1.6.1-1+maya) maya; urgency=low

  * Initial release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sun, 12 May 2013 20:58:54 +0200

=== debian/control ===
Source: mate-desktop
Section: x11
Priority: optional
Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               intltool,
               libglib2.0-dev,
               libgtk2.0-dev,
               libstartup-notification0-dev,
               mate-doc-utils,
               mate-doc-utils-gnome | gnome-doc-utils,
               libx11-dev,
               libxrandr-dev,
               libxml2-dev,
               libunique-dev,
               gtk-doc-tools,
               python-dev,
               python-support,
               libglib2.0-doc,
               libgtk2.0-doc,
               mate-common
Standards-Version: 3.9.4
Homepage: http://www.mate-desktop.org/
Vcs-Browser: https://github.com/mate-desktop/debian-packages
Vcs-Git: git://github.com/mate-desktop/debian-packages.git

Package: mate-desktop
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libunique-1.0-0,
         hicolor-icon-theme,
         libmate-desktop-2-17,
         mate-desktop-common (= ${source:Version})
Conflicts: mate-desktop-gnome
Description: Library with common API for various MATE modules
 This package contains the library with common API for various MATE modules.

Package: mate-desktop-common
Architecture: all
Depends: ${misc:Depends}
Replaces: mate-desktop (<< 1.1.1-1)
Description: Library with common API for various MATE modules (common files)
 This package contains the library with common API for various MATE modules.
 .
 This package contains the architecture independent files.

Package: libmate-desktop-2-17
Architecture: any
Pre-Depends: multiarch-support
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: libmatedesktop
Conflicts: libmatedesktop
Description: Library with common API for various MATE modules (library)
 This package contains the library with common API for various MATE modules.
 .
 The package contains the library.

Package: libmate-desktop-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libmate-desktop-2-17 (= ${binary:Version}),
         libstartup-notification0-dev
Conflicts: libmatedesktop-dev
Description: Library with common API for various MATE modules (development files)
 This package contain the library with common API for various MATE modules.
 .
 This package contains the development files.

Package: libmate-desktop-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Conflicts: libmatedesktop-doc
Description: Library with common API for various MATE modules (documentation files)
 This package contains the library with common API for various MATE modules.
 .
 This package contains the documentation files.

Package: mate-desktop-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         mate-desktop (= ${binary:Version}),
         libmate-desktop-2-17 (= ${binary:Version})
Description: Library with common API for various MATE modules (debugging symbols)
 This package contains debugging symbols for mate-desktop and the
 libmate-desktop library. It is provided to help debugging problems.
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

## mate-desktop 1.6.2

=== debian/changelog ===
mate-desktop (1.6.2-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    + Add/update license stanza for autotools files.
    + Add Upstream-Contact: field.
    + Add license stanza for new tool: mate-conf-import.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 15 Jan 2014 12:18:55 +0100

mate-desktop (1.6.1-3) unstable; urgency=low

  * debian/control:
    + Improve packages relations. Don't use Conflicts: field anymore. Rather
      use Breaks: and Replaces: fields instead.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 11 Jan 2014 17:01:23 +0100

mate-desktop (1.6.1-2) unstable; urgency=low

  * debian/control:
    + Build-depend on rarian-compat to fix FTBFS without internet connection.
      (Closes: #734910).
    + Bump Standards: to 3.9.5 (no changes needed).
  * debian/rules:
    + Use dh-autoreconf to fix FTBFS on ppc64el. (Closes: #734909).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 11 Jan 2014 15:58:14 +0100

mate-desktop (1.6.1-1) unstable; urgency=low

  * Initial release. (Closes: #708385).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 30 Oct 2013 14:26:14 +0100

=== debian/control ===
Source: mate-desktop
Section: x11
Priority: optional
Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
           Stefano Karapetsas <stefano@karapetsas.com>,
           Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               intltool,
               libglib2.0-dev,
               libgtk2.0-dev,
               libstartup-notification0-dev,
               mate-doc-utils,
               mate-doc-utils-gnome | gnome-doc-utils,
               libx11-dev,
               libxrandr-dev,
               libxml2-dev,
               libunique-dev,
               gtk-doc-tools,
               python-dev,
               python-support,
               libglib2.0-doc,
               libgtk2.0-doc,
               mate-common,
               rarian-compat,
Standards-Version: 3.9.5
Homepage: http://www.mate-desktop.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mate/mate-desktop.git;a=summary
Vcs-Git: git://anonscm.debian.org/pkg-mate/mate-desktop.git

Package: mate-desktop
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libunique-1.0-0,
         hicolor-icon-theme,
         libmate-desktop-2-17,
         mate-desktop-common (= ${source:Version}),
Breaks: mate-desktop-gnome
Replaces: mate-desktop-gnome
Description: Library with common API for various MATE modules
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 The mate-about program helps with finding which version of MATE is installed.

Package: mate-desktop-common
Architecture: all
Depends: ${misc:Depends}
Breaks: mate-desktop (<< 1.1.1-1)
Replaces: mate-desktop (<< 1.1.1-1)
Description: Library with common API for various MATE modules (common files)
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 This package contains the architecture independent files.

Package: libmate-desktop-2-17
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
             multiarch-support,
Depends: ${misc:Depends},
         ${shlibs:Depends},
Provides: libmatedesktop
Breaks: libmatedesktop (<< 1.6.1),
Replaces: libmatedesktop (<< 1.6.1),
Description: Library with common API for various MATE modules (library)
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 The package contains the actual mate-desktop library.

Package: libmate-desktop-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libmate-desktop-2-17 (= ${binary:Version}),
         libstartup-notification0-dev,
Breaks: libmatedesktop-dev
Replaces: libmatedesktop-dev
Description: Library with common API for various MATE modules (development files)
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 This package contains the mate-desktop development files.

Package: libmate-desktop-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libmatedesktop-doc
Replaces: libmatedesktop-doc
Description: Library with common API for various MATE modules (documentation files)
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 This package contains the documentation files.

Package: mate-desktop-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         mate-desktop (= ${binary:Version}),
         libmate-desktop-2-17 (= ${binary:Version}),
Description: Library with common API for various MATE modules (debugging symbols)
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 This package contains the debugging symbols for the mate-desktop library.
 They are installed into /usr/lib/debug and will automatically be used
 by gdb.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_install:
	rm -f debian/tmp/usr/lib/*/*.la 
	rm -rf debian/tmp/usr/share/omf/
	dh_install --list-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-static \
		--disable-scrollkeeper \
		--disable-schemas-compile \
		--enable-gtk-doc

override_dh_strip:
	dh_strip --dbg-package=mate-desktop-dbg

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
http://pub.mate-desktop.org/releases/(\d\.(2|4|6|8|0))/mate-desktop-(.*)\.tar\.xz

## mate-desktop 1.8.1

=== debian/changelog ===
mate-desktop (1.8.1-0) unstable; urgency=low

  * New upstream release

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 10 Jul 2014 09:06:44 +0100

mate-desktop (1.8.0-0) unstable; urgency=low

  * New upstream release

 -- Stefano Karapetsas <stefano@karapetsas.com>  Wed, 05 Mar 2014 20:37:19 +0100

mate-desktop (1.7.90-1) unstable; urgency=low

  * New upstream development release

 -- Stefano Karapetsas <stefano@karapetsas.com>  Fri, 14 Feb 2014 19:19:03 +0100

mate-desktop (1.7.5-1) unstable; urgency=low

  * New upstream development release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 13 Feb 2014 09:40:06 +0100

mate-desktop (1.7.3-1) unstable; urgency=low

  * New upstream development release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 16 Jan 2014 12:33:06 +0100

mate-desktop (1.7.1-1) unstable; urgency=low

  * New upstream development release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Mon, 07 Oct 2013 18:23:24 +0200

mate-desktop (1.7.0-1) unstable; urgency=low

  * New upstream development release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Wed, 17 Jul 2013 13:05:49 +0200

=== debian/control ===
Source: mate-desktop
Section: x11
Priority: optional
Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
Build-Depends: debhelper (>= 9),
               intltool,
               libglib2.0-dev,
               libgtk2.0-dev,
               libstartup-notification0-dev,
               libx11-dev,
               libxrandr-dev,
               libxml2-dev,
               libunique-dev,
               gtk-doc-tools,
               python-dev,
               python-support,
               libglib2.0-doc,
               libgtk2.0-doc,
               libdconf-dev,
               mate-common,
               yelp-tools
Standards-Version: 3.9.4
Homepage: http://www.mate-desktop.org/
Vcs-Browser: https://github.com/mate-desktop/debian-packages
Vcs-Git: git://github.com/mate-desktop/debian-packages.git

Package: mate-desktop
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         hicolor-icon-theme,
         libmate-desktop-2-17,
         mate-desktop-common (= ${source:Version})
Conflicts: mate-desktop-gnome
Suggests: mate-user-guide
Description: Library with common API for various MATE modules
 This package contains the library with common API for various MATE modules.

Package: mate-desktop-common
Architecture: all
Depends: ${misc:Depends}
Replaces: mate-desktop (<< 1.1.1-1)
Description: Library with common API for various MATE modules (common files)
 This package contains the library with common API for various MATE modules.
 .
 This package contains the architecture independent files.

Package: libmate-desktop-2-17
Architecture: any
Pre-Depends: multiarch-support
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: libmatedesktop
Conflicts: libmatedesktop
Description: Library with common API for various MATE modules (library)
 This package contains the library with common API for various MATE modules.
 .
 The package contains the library.

Package: libmate-desktop-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libmate-desktop-2-17 (= ${binary:Version}),
         libstartup-notification0-dev,
         libdconf-dev,
Conflicts: libmatedesktop-dev
Description: Library with common API for various MATE modules (development files)
 This package contain the library with common API for various MATE modules.
 .
 This package contains the development files.

Package: libmate-desktop-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Conflicts: libmatedesktop-doc
Description: Library with common API for various MATE modules (documentation files)
 This package contains the library with common API for various MATE modules.
 .
 This package contains the documentation files.

Package: mate-user-guide
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: yelp
Description: User documentation for MATE Desktop
 This package contains the user guide for MATE Desktop and its main
 applications.

Package: mate-desktop-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         mate-desktop (= ${binary:Version}),
         libmate-desktop-2-17 (= ${binary:Version})
Description: Library with common API for various MATE modules (debugging symbols)
 This package contains debugging symbols for mate-desktop and the
 libmate-desktop library. It is provided to help debugging problems.
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	rm -fv debian/tmp/usr/lib/*/*.la 
	rm -rfv debian/tmp/usr/share/omf/
	rm -rfv debian/tmp/usr/share/help/*/fdl/
	rm -rfv debian/tmp/usr/share/help/*/gpl/
	rm -rfv debian/tmp/usr/share/help/*/lgpl/
	dh_install --list-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-static \
		--disable-scrollkeeper \
		--disable-schemas-compile \
		--enable-gtk-doc \
		--enable-mpaste \
		--with-gtk=2.0

override_dh_strip:
	dh_strip --dbg-package=mate-desktop-dbg

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
http://pub.mate-desktop.org/releases/1.8/mate-desktop-(.*)\.tar\.xz

## mate-desktop 1.8.1+dfsg1

=== debian/changelog ===
mate-desktop (1.8.1+dfsg1-3) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/patches:
    + Add 0001_fix-pkexec-calls-in-desktop-launcher.patch. In
      mate-desktop-item.c: Add a child watch if "do not reap child" flag is set.
      This avoids double forking with desktop files that have "exec pkexec ..."
      inside. (Closes: #781246).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 28 Mar 2015 14:53:31 +0100

mate-desktop (1.8.1+dfsg1-2) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/rules:
    + Replace on dh_install --list-missing -> --fail-missing
  * debian/control:
    + Bump Standards: to 3.9.6. No changes needed.

  [ Mike Gabriel ]
  * debian/control:
    + Drop deprecated B-D: python-support.
    + Add B-D: dh-python.
    + Drop complete Pre-D field (libmate-desktop-2-17).
  * debian/rules:
    + Build with python2.
    + Use upstream's NEWS file as upstream ChangeLog.
  * debian/copyright:
    + Rework completely. Add missing files, hanle renamed files since one
      of the last upstream releases, drop information for not-existing-anymore
      files.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Oct 2014 23:07:44 +0200

mate-desktop (1.8.1+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    + Drop 1001_fix-pkgconfig.patch. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 18 May 2014 23:34:16 +0200

mate-desktop (1.8.0+dfsg1-5) unstable; urgency=low

  * debian/changelog:
    + Fix typo (opinion -> option).
  * debian/rules:
    + Fix copy+paste error in tarball repacking code.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 30 Apr 2014 14:34:27 +0200

mate-desktop (1.8.0+dfsg1-4) unstable; urgency=low

  [ Stefano Karapetsas ]
  * debian/control:
    + Remove unused gnome-doc-utils from Build-Depends.

  [ Mike Gabriel ]
  * debian/patches:
    + Add 1001_fix-pkgconfig.patch. Fix dependency specifications for
      mate-desktop-2.0-pc. (Closes: #744086).
  * debian/control:
    + Drop D (libmate-desktop-dev): libstartup-notification0-dev.
    + Add D (libmate-desktop-dev): libgdk-pixbuf2.0-dev, libgtk2.0-dev.
  * debian/rules:
    + Turn on compiler commands during package build (configure option:
      --disable-silent-rules).
    + Enable parallel builds.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 13 Apr 2014 00:11:52 +0200

mate-desktop (1.8.0+dfsg1-3) unstable; urgency=low

  * debian/control:
    + Add Breaks:'n'Replaces: fields for previous dbg:packages.
    + Drop B-D: mate-doc-utils, mate-doc-utils-gnome.
  * debian/copyright:
    + Point to git.mate-desktop.org in Source: field.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 13 Mar 2014 16:24:22 +0100

mate-desktop (1.8.0+dfsg1-2) unstable; urgency=low

  * Split up mate-desktop-dbg into two bin:packages.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 06 Mar 2014 10:34:03 +0100

mate-desktop (1.8.0+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Repack upstream tarball.
    + Omit non-DFSG (GFDL-1.1) files.
    + Remove obsolete license files in desktop-docs/ subfolder from package.
  * debian/patches:
    + Add patch 2001_omit-gfdl-licensed-user-guide.patch. Skip
      user-guide/ and desktop-docs/ subfolders during configure/build.
  * Update debian/libmate-desktop-2-17.symbols file.
  * debian/watch:
    + Use tagged CGit tarball snapshots as upstream source.
    + Mangle Debian version.
  * debian/rules:
    + Build package using autogen.sh.
    + Drop unknown configure option --disable-scrollkeeper.
  * debian/control:
    + Add B-D: yelp-tools (for autogen.sh).
    + Add B-D: libdconf-dev (>= 0.10.0).
  * debian/copyright:
    + Adapt to new upstream version.
  * debian/mate-desktop-common.install: Adapt to new upstream release.
  * lintian: Remove unused overrides.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 06 Mar 2014 10:17:22 +0100

=== debian/control ===
Source: mate-desktop
Section: x11
Priority: optional
Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
           Stefano Karapetsas <stefano@karapetsas.com>,
           Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               intltool,
               libglib2.0-dev,
               libgtk2.0-dev,
               libstartup-notification0-dev,
               libx11-dev,
               libxrandr-dev,
               libxml2-dev,
               libunique-dev,
               gtk-doc-tools,
               python-dev,
               libglib2.0-doc,
               libgtk2.0-doc,
               mate-common,
               rarian-compat,
               yelp-tools,
               libdconf-dev (>= 0.10.0),
Standards-Version: 3.9.6
Homepage: http://www.mate-desktop.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mate/mate-desktop.git;a=summary
Vcs-Git: git://anonscm.debian.org/pkg-mate/mate-desktop.git

Package: mate-desktop
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libunique-1.0-0,
         hicolor-icon-theme,
         libmate-desktop-2-17,
         mate-desktop-common (= ${source:Version}),
Breaks: mate-desktop-gnome
Replaces: mate-desktop-gnome
Description: Library with common API for various MATE modules
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 The mate-about program helps with finding which version of MATE is installed.

Package: mate-desktop-common
Architecture: all
Depends: ${misc:Depends}
Breaks: mate-desktop (<< 1.1.1-1)
Replaces: mate-desktop (<< 1.1.1-1)
Description: Library with common API for various MATE modules (common files)
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 This package contains the architecture independent files.

Package: libmate-desktop-2-17
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Provides: libmatedesktop
Breaks: libmatedesktop (<< 1.6.1),
Replaces: libmatedesktop (<< 1.6.1),
Description: Library with common API for various MATE modules (library)
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 The package contains the actual mate-desktop library.

Package: libmate-desktop-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libmate-desktop-2-17 (= ${binary:Version}),
         libgdk-pixbuf2.0-dev,
         libgtk2.0-dev,
Breaks: libmatedesktop-dev
Replaces: libmatedesktop-dev
Description: Library with common API for various MATE modules (development files)
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 This package contains the mate-desktop development files.

Package: libmate-desktop-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libmatedesktop-doc
Replaces: libmatedesktop-doc
Description: Library with common API for various MATE modules (documentation files)
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 This package contains the documentation files.

Package: mate-desktop-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         mate-desktop (= ${binary:Version}),
Description: Library with common API for various MATE modules (debugging symbols)
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 This package contains the debugging symbols for the mate-about executable.
 They are installed into /usr/lib/debug and will automatically be used
 by gdb.

Package: libmate-desktop-2-17-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libmate-desktop-2-17 (= ${binary:Version}),
Breaks: mate-desktop-dbg (<= 1.8.0+dfsg1-2),
Replaces: mate-desktop-dbg (<= 1.8.0+dfsg1-2),
Description: Library with common API for various MATE modules (library debugging symbols)
 The MATE component mate-desktop contains the libmate-desktop library, the
 mate-about program, as well as some desktop-wide documents.
 .
 The libmate-desktop library provides an API shared by several applications
 on the desktop, but that cannot live in the platform for various
 reasons.
 .
 This package contains the debugging symbols for the mate-desktop library.
 They are installed into /usr/lib/debug and will automatically be used
 by gdb.

=== debian/rules ===
#!/usr/bin/make -f

PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
DTYPE = +dfsg1
VER  ?= $(subst $(DTYPE),,$(UVER))

DHFLAGS=--parallel

%:
	dh $@ $(DHFLAGS) --with python2

override_dh_install:
	rm -f debian/tmp/usr/lib/*/*.la 
	rm -rf debian/tmp/usr/share/omf/
	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_configure:
	# upstream tarball is without configure. autogen.sh will create it
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure $(DHFLAGS) -- \
		--disable-silent-rules \
		--disable-static \
		--disable-schemas-compile \
		--enable-gtk-doc

override_dh_strip:
	dh_strip -pmate-desktop --dbg-package=mate-desktop-dbg
	dh_strip -plibmate-desktop-2-17 --dbg-package=libmate-desktop-2-17-dbg

get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	    && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
	    || $(RM) -r $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) \
	    && $(RM) -r -v \
	        desktop-docs \
	        user-guide
	$(RM) -v $(PKG)_$(VER).orig.tar.*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	    | XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	    && $(RM) -r "$(PKG)-$(VER)"

## mate-desktop 1.8.2+dfsg1

=== debian/changelog ===
mate-desktop (1.8.2+dfsg1-2) experimental; urgency=medium

  * Incorporate changes from 1.8.1+dfsg1-3 and re-upload to experimental.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Apr 2015 10:27:51 +0200

mate-desktop (1.8.2+dfsg1-1) experimental; urgency=medium

  * New upstream release.
    - Including the GLib >= 2.43 compatibility patch. (Closes: #779570,
      LP:#1426327).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Mar 2015 16:19:52 +0100
